## php-lcobucci-jwt 5.0.0

=== Makefile ===
PARALLELISM := $(shell nproc)

.PHONY: all
all: install phpcbf phpcs phpstan phpunit infection phpbench

.PHONY: install
install: vendor/composer/installed.json

vendor/composer/installed.json: composer.json composer.lock
	@composer install $(INSTALL_FLAGS)
	@touch -c composer.json composer.lock vendor/composer/installed.json

.PHONY: phpunit
phpunit:
	@php -d assert.exception=1 -d zend.assertions=1 vendor/bin/phpunit $(PHPUNIT_FLAGS)

.PHONY: infection
infection:
	@php -d assert.exception=1 -d zend.assertions=1 -d xdebug.mode=coverage vendor/bin/phpunit --coverage-xml=build/coverage-xml --log-junit=build/junit.xml $(PHPUNIT_FLAGS)
	@php -d assert.exception=1 -d zend.assertions=1 vendor/bin/infection -v -s --threads=$(PARALLELISM) --coverage=build --skip-initial-tests $(INFECTION_FLAGS)

.PHONY: phpcbf
phpcbf:
	@vendor/bin/phpcbf --parallel=$(PARALLELISM) || true

.PHONY: phpcs
phpcs:
	@vendor/bin/phpcs --parallel=$(PARALLELISM) $(PHPCS_FLAGS)

.PHONY: phpstan
phpstan:
	@php -d xdebug.mode=off vendor/bin/phpstan analyse --memory-limit=-1

.PHONY: phpbench
phpbench:
	@vendor/bin/phpbench run -l dots --report aggregate

=== debian/changelog ===
php-lcobucci-jwt (5.0.0-1) unstable; urgency=medium

  * Initial release (php-symfony-mercure-bundle dependency)

 -- David Prévot <taffit@debian.org>  Wed, 24 May 2023 12:13:55 +0200

## php-lcobucci-jwt 5.2.0

=== Makefile ===
--- 
+++ 
@@ -31,6 +31,10 @@
 phpstan:
 	@php -d xdebug.mode=off vendor/bin/phpstan analyse --memory-limit=-1
 
+ifndef PHPBENCH_REPORT
+override PHPBENCH_REPORT = aggregate
+endif
+
 .PHONY: phpbench
 phpbench:
-	@vendor/bin/phpbench run -l dots --report aggregate
+	@vendor/bin/phpbench run -l dots --report=$(PHPBENCH_REPORT) $(PHPBENCH_FLAGS)

=== debian/changelog ===
php-lcobucci-jwt (5.2.0-1) unstable; urgency=medium

  [ Luís Cobucci ]
  * Introduce fake implementation of signer for tests
  * Add a way to verify a token against multiple algorithms/keys

 -- David Prévot <taffit@debian.org>  Tue, 21 Nov 2023 07:56:21 +0100

php-lcobucci-jwt (5.1.0-1) unstable; urgency=medium

  [ Luís Cobucci ]
  * Update README.md

  [ javer ]
  * Support PHP 8.3

  [ David Prévot ]
  * Set upstream metadata fields: Repository.

 -- David Prévot <taffit@debian.org>  Wed, 01 Nov 2023 08:18:48 +0100

=== debian/control ===
Source: php-lcobucci-jwt
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-phpcomposer,
               php-lcobucci-clock,
               phpab,
               phpunit
Standards-Version: 4.6.2
Homepage: https://github.com/lcobucci/jwt
Vcs-Git: https://salsa.debian.org/php-team/pear/php-lcobucci-jwt.git
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-lcobucci-jwt
Rules-Requires-Root: no

Package: php-lcobucci-jwt
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 A simple library to work with JSON Web Token and JSON Web Signature based
 on the RFC 7519.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	phpabtpl composer.json > debian/autoload.php.tpl
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents Lcobucci vendor
	ln -s ../src Lcobucci/JWT
	phpabtpl \
		--require lcobucci/jwt \
		> debian/autoload.tests.php.tpl
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests

override_dh_auto_install:

override_dh_auto_test:
	php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --bootstrap=vendor/autoload.php

## php-lcobucci-jwt 5.3.0

=== debian/changelog ===
php-lcobucci-jwt (5.3.0-1) unstable; urgency=medium

  [ Freebuu ]
  * add HasClaim constraint

  [ David Prévot ]
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Sat, 13 Apr 2024 14:55:37 +0200

php-lcobucci-jwt (5.2.0-2) unstable; urgency=medium

  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Wed, 06 Mar 2024 17:44:46 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,12 @@
 	dh $@
 
 override_dh_auto_build:
-	phpabtpl composer.json > debian/autoload.php.tpl
 	phpab \
 		--output src/autoload.php \
 		--template debian/autoload.php.tpl \
 		src
 	mkdir --parents Lcobucci vendor
 	ln -s ../src Lcobucci/JWT
-	phpabtpl \
-		--require lcobucci/jwt \
-		> debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpab --output vendor/autoload.php --template debian/autoload.tests.php.tpl tests && php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --bootstrap=vendor/autoload.php
Restrictions: rw-build-tree
Depends: php-lcobucci-clock, phpab, phpunit, @

## php-lcobucci-jwt 5.4.0

=== debian/changelog ===
php-lcobucci-jwt (5.4.0-1) unstable; urgency=medium

  [ Luís Cobucci ]
  * Drop PHP 8.1
  * Bump lcobucci/clock
  * Upgrade PHPUnit
  * Use attributes on all tests

  [ Filippo Tessarotto ]
  * Benchmarks: add EdDSA algorithm

  [ Cédric Anne ]
  * Add PHP 8.4 support

  [ David Prévot ]
  * Revert "Force system dependencies loading"
  * Adapt build to updated phpabtpl(1)

 -- David Prévot <taffit@debian.org>  Fri, 11 Oct 2024 09:26:33 +0100

## php-lcobucci-jwt 5.4.2

=== debian/changelog ===
php-lcobucci-jwt (5.4.2-1) unstable; urgency=medium

  [ Anatoly Pashin ]
  * Mark Builder methods as pure
  * Revert interface changes, mark implementation methods

  [ Sebastiaan Knijnenburg ]
  * Add SensitiveParameter attribute to sensitive parameters

 -- David Prévot <taffit@debian.org>  Fri, 15 Nov 2024 14:33:47 +0100

## php-lcobucci-jwt 5.5.0

=== Makefile ===
--- 
+++ 
@@ -37,4 +37,4 @@
 
 .PHONY: phpbench
 phpbench:
-	@vendor/bin/phpbench run -l dots --report=$(PHPBENCH_REPORT) $(PHPBENCH_FLAGS)
+	@vendor/bin/phpbench run -l dots --retry-threshold=5 --report=$(PHPBENCH_REPORT) $(PHPBENCH_FLAGS)

=== debian/changelog ===
php-lcobucci-jwt (5.5.0-1) unstable; urgency=medium

  [ Filippo Tessarotto ]
  * Add migration API for `readonly` classes

 -- David Prévot <taffit@debian.org>  Thu, 30 Jan 2025 06:54:11 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                php-lcobucci-clock,
                phpab,
                phpunit
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/lcobucci/jwt
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-lcobucci-jwt.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-lcobucci-jwt

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpabtpl --require lcobucci/jwt > debian/autoload.tests.php.tpl && phpab --output vendor/autoload.php --template debian/autoload.tests.php.tpl tests && php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --bootstrap=vendor/autoload.php
Restrictions: rw-build-tree, allow-stderr
Depends: php-lcobucci-clock, phpab, phpunit, pkg-php-tools, @

## php-lcobucci-jwt 5.6.0

=== debian/changelog ===
php-lcobucci-jwt (5.6.0-1) unstable; urgency=medium

  [ SvenRtbg ]
  * Add PS256 etc algorithm support into docs.

  [ Filippo Tessarotto ]
  * Add PHP 8.5 support

  [ David Prévot ]
  * debian/control: Document another nocheck flag

 -- David Prévot <taffit@debian.org>  Sat, 18 Oct 2025 10:55:51 +0200

php-lcobucci-jwt (5.5.0-2) unstable; urgency=medium

  * Compatibility with recent PHPUnit (12)
  * Remove Rules-Requires-Root
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Fri, 19 Sep 2025 10:09:04 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
-               php-lcobucci-clock,
+               php-lcobucci-clock <!nocheck>,
                phpab,
-               phpunit
-Standards-Version: 4.7.0
+               phpunit <!nocheck>
+Standards-Version: 4.7.2
 Homepage: https://github.com/lcobucci/jwt
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-lcobucci-jwt.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-lcobucci-jwt
-Rules-Requires-Root: no
 
 Package: php-lcobucci-jwt
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,15 @@
 	dh $@
 
 override_dh_auto_build:
+	phpabtpl composer.json > debian/autoload.php.tpl
 	phpab \
 		--output src/autoload.php \
 		--template debian/autoload.php.tpl \
 		src
-	mkdir --parents Lcobucci vendor
-	ln -s ../src Lcobucci/JWT
+	mkdir --parents vendor
+	phpabtpl \
+		--require-file ../src/autoload.php \
+		> debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpabtpl --require lcobucci/jwt > debian/autoload.tests.php.tpl && phpab --output vendor/autoload.php --template debian/autoload.tests.php.tpl tests && php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --bootstrap=vendor/autoload.php
Restrictions: allow-stderr, rw-build-tree
Depends: php-lcobucci-clock, phpab, phpunit, pkg-php-tools, @

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all,pgpmode=gittag \
https://github.com/lcobucci/jwt \
refs/tags/v?(\d.+)
